/*;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
;		AVR t85 TestProgramm
;
;
;		CPU	ATtiny85-20PU
;			CLK=INT CRosc(8MHz)
;			FuseE="FF" FuseH="DF" FuseL="E2" 
;
;			
;		2012-06-19		c[H[Ec
;
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;*/


#include <avr/io.h>


volatile static unsigned int	TIME;

volatile static unsigned char	HEXH,HEXL;




void Wait(int Time){			/* uS Timer */
	volatile int i;

	Time=Time/5*3;
	for(i=0; i<Time; i++){
	}

}



void Timer(int Time){			/* mS Timer */
	volatile int i;

	for(i=0; i<Time; i++){
		Wait(786);
	}

}



unsigned char hex(unsigned char bin){

	bin &= 0x0f;					//O`PT
	if (bin < 10){
		bin = bin | 0x30;
	}
	else{
		bin = bin + 0x37;
	}

	return bin;
}



void bin_hex(unsigned char bin){	//Binary  2Hex(HEXH,HEXL)

	unsigned char hi,lo;

	hi = bin / 16;
	HEXH = hex(hi);
	lo = bin % 16;
	HEXL = hex(lo);
}



void TX(unsigned char TXD){

//	while(!(UCSRA & (1<<UDRE)));
//	UDR = TXD;

}



void TX_int(unsigned int DATA){
		bin_hex(DATA / 256);
		TX(HEXH);
		TX(HEXL);
		bin_hex(DATA & 0x00ff);
		TX(HEXH);
		TX(HEXL);
		TX(0x20);
}










void Init(void){			/*Initialize*/


	DDRB = 0xff;			//portB output
	PORTB = 0x00;


	Timer(50);

	TIME = 0;

}





int main(){

//	volatile int	i;
//	volatile unsigned char	d;
	volatile int i;


	Init();

while(1){


	for(i=0; i<3; i++){

		Timer(2000);
		PORTB = 0xff;

		Timer(1000);
		PORTB = 0x00;

	}



	for(i=0; i<15; i++){

		Timer(200);
		PORTB = 0x07;

		Timer(200);
		PORTB = 0x38;

	}

}


}
